Subject: Re: [bug#68416] [PATCH] python: add 3.20 - 3.16 to the version search list

From: Mike Frysinger <[email-masked]>
Date: Sat, 13 Jan 2024 22:49:44 -0500

On 13 Jan 2024 19:12, Karl Berry wrote:
> Not proposing to try anything for our upcoming release, but I wonder if
> there is some more general way to handle Python versions? We don't have
> to laboriously list every possible version for anything else.

yeah, it sucks.  i'm on the fence whether we should have python support in
automake at all tbh.

> As things are, I'm tempted to include 4.20-4.1 too, because their next
> major incompatibility will probably come sooner rather than later ...

i assume you're being facetious here -- i think the Python folks learned
their lesson with 2->3 and won't do another major bump.
-mike